/*
Theme Name:     Ks_starcharger
Theme URI:      
Description:    Blocksy child theme.
Author:         Knockers
Author URI:     
Template:       blocksy
Version:        0.1.0
*/


.wpgmza_marker_carousel h2{
    text-align: center;
    margin-top:15px;
    margin-bottom: 15px;
}

.wpgmza_carousel_info_holder .wpgmza_marker_title{
    /* text-align: left; */
    margin-bottom: 0px;
    font-size: 20px!important;}
.wpgmza_carousel_info_holder .wpgmza_marker_address{
    /* text-align: left; */
    margin-bottom: 10px;
    font-size: 16px!important;
}
.wpgmza_carousel_info_holder .wpgmza_marker_description{
    text-align: left;
    margin-bottom: 10px;
    display: none!important;
}
.wpgmza_carousel_info_holder .wpgmza_marker_description ul{
   padding-left: 0;
   list-style: none;
   margin-bottom: 10px;
}

.wpgmza_infowindow_image{
	float: none!important;
	margin: 0px!important;
	max-width: 100%!important;
    width: 240px;
    height: 140px;
    object-fit: cover;
    border-radius: 10px;
    margin-bottom: 10px!important;
}

.wpgmza_map .wpgmza_infowindow_title{
    margin-bottom: 5px!important;
    font-size: 14px;
}

.wpgmza_infowindow_address{
    margin-bottom: 5px!important;
    font-weight: 400;
}
.wpgmza_infowindow_description{
    font-weight: 400;
}
.wpgmza_infowindow_description strong{
    font-size: 14px;
}
.wpgmza_map .wpgmza_infowindow_description ul{
    padding-left: 0;
    list-style: none;
    margin-bottom: 10px;
}

.gm-style .gm-style-iw-c{
    box-shadow: 0 2px 7px 1px rgba(0,0,0,.15);
    min-width: 250px !important;
    max-width: 250px !important;
    border-radius: 20px;
}

.wpgmaps_mlist_row .wpgmza_map_image{
    display: block;
    width: 100%;
    height: 180px;
    object-fit: cover;
    margin-top:0px;
}
.owl-carousel .owl-stage{
    display: flex;
    gap: 10px;
    padding-left: 6px;
}


.wpgmza_marker_carousel{
    margin-top:15px;
}
.wpgmza_map{
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 10px;
}

.wpgmza_marker_carousel .item{
    background-color: #fff;
    padding: 10px;
    border-radius: 20px;
    box-shadow: 4px 4px 4px 0px rgba(0, 0, 0, 0.01);


}
.wpgmza_marker_carousel .item .wpgmza_marker_title{
    font-weight: bold;
    margin-bottom: 5px;
}
.wpgmza_marker_carousel .item:nth-child(-n+10) .wpgmza_marker_title::before {
    content: '新站上線';
    font-size: 16px;
    background-color: #29ABE2;
    color: #fff;
    display: block;
    border-radius: 6px;
    padding: 2px 5px;
    max-width: 80px;
    text-align: center;
    line-height: 25px;
    margin-bottom: 5px;
}

.wpgmaps_mlist_row .wpgmza_carousel_image_holder{
 margin-bottom: 10px;
}
.wpgmaps_mlist_row .wpgmza_carousel_image_holder .wpgmza_map_image {
 border-radius: 10px;
}

.wpgmza-marker-listing-category-filter{
    display: flex;
    margin-bottom: 15px!important;
}

.wpgmza-marker-listing-category-filter span{
    width: 100px;
    align-items: center;
    display: flex;
}
.wpgmza-marker-listing-category-filter select{
    background-color: #fff;
    border: 0;
    background-size: 15px auto, 100%;
    border-radius: 10px;
}
.wpgmza-marker-listing-category-filter select:focus{
    background-color: #fff;
}

#wpgmza_marker_list_container_3  {
  overflow-x: auto;
  /* scroll-snap-type: x mandatory; */
  -webkit-overflow-scrolling: touch;
  padding: 0 10px;
}
#wpgmza_marker_list_container_3 .wpgmza_marker_carousel {
    display: flex;
    gap: 20px;
    padding-bottom: 10px;
}
#wpgmza_marker_list_container_3 .wpgmza_marker_carousel .item {
    flex: 0 0 calc(100% / 3); /* 每排 3 張 */
    scroll-snap-align: start;
    box-sizing: border-box;
  }
.wpgmza_marker_directions_link{
    display: none;
}
  /* 手機：1~2 張 */
@media (max-width: 768px) {
    #wpgmza_marker_list_container_3 .wpgmza_marker_carousel .item {
      flex: 0 0 calc(100% / 1.5); /* 或 100% / 2 */
    }
  }

  #wpgmza_marker_list_container_3::-webkit-scrollbar {
    display: none; /* 隱藏捲軸 */
  }
  #wpgmza_marker_list_container_3 {
    -ms-overflow-style: none;  /* IE 隱藏捲軸 */
    scrollbar-width: none;     /* Firefox 隱藏捲軸 */
  }
  

#wpgmza_marker_list_container_3 .item * {
    pointer-events: none;  
    user-select: none;      /* 禁止文字選取 */
  }
  /* 預設是抓手 */
  .wpgmza_marker_carousel {
    cursor: grab;
  }